jmeter-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From vladimirsitni...@apache.org
Subject [jmeter] branch master updated: Update SpotBugs to 4.1.2 (from 4.1.1), upgrade spotbugs-gradle-plugin to 4.5.0 (from 2.0.0)
Date Thu, 20 Aug 2020 17:58:59 GMT
This is an automated email from the ASF dual-hosted git repository.

vladimirsitnikov pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/jmeter.git


The following commit(s) were added to refs/heads/master by this push:
     new 5eff144  Update SpotBugs to 4.1.2 (from 4.1.1), upgrade spotbugs-gradle-plugin to
4.5.0 (from 2.0.0)
5eff144 is described below

commit 5eff144d115428251547b8974324a24489625de9
Author: Vladimir Sitnikov <sitnikov.vladimir@gmail.com>
AuthorDate: Thu Aug 20 20:58:41 2020 +0300

    Update SpotBugs to 4.1.2 (from 4.1.1), upgrade spotbugs-gradle-plugin to 4.5.0 (from 2.0.0)
    
    This should make SpotBugs compatible with the current Gradle version
---
 build.gradle.kts  | 18 +++++++-----------
 checksum.xml      |  3 +++
 gradle.properties |  4 ++--
 xdocs/changes.xml |  1 +
 4 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/build.gradle.kts b/build.gradle.kts
index 3f40ffd..b03176c 100644
--- a/build.gradle.kts
+++ b/build.gradle.kts
@@ -15,8 +15,7 @@
  * limitations under the License.
  */
 
-import com.github.spotbugs.SpotBugsPlugin
-import com.github.spotbugs.SpotBugsTask
+import com.github.spotbugs.snom.SpotBugsTask
 import com.github.vlsi.gradle.crlf.CrLfSpec
 import com.github.vlsi.gradle.crlf.LineEndings
 import com.github.vlsi.gradle.crlf.filter
@@ -147,7 +146,7 @@ val jacocoEnabled by extra {
 }
 
 // Do not enable spotbugs by default. Execute it only when -Pspotbugs is present
-val enableSpotBugs = props.bool("spotbugs", default = false)
+val enableSpotBugs = props.bool("spotbugs", default = true)
 val ignoreSpotBugsFailures by props()
 val skipCheckstyle by props()
 val skipAutostyle by props()
@@ -239,7 +238,7 @@ if (enableSpotBugs) {
         sonarqube {
             properties {
                 spotBugTasks.configureEach {
-                    add("sonar.java.spotbugs.reportPaths", reports.xml.destination.toString())
+                    add("sonar.java.spotbugs.reportPaths", reports.named("xml").get().destination.toString())
                 }
             }
         }
@@ -341,11 +340,11 @@ allprojects {
                 }
             }
         }
-        apply<SpotBugsPlugin>()
+        apply(plugin = "com.github.spotbugs")
 
         spotbugs {
-            toolVersion = "spotbugs".v
-            isIgnoreFailures = ignoreSpotBugsFailures
+            toolVersion.set("spotbugs".v)
+            ignoreFailures.set(ignoreSpotBugsFailures)
         }
 
         if (!skipAutostyle) {
@@ -527,10 +526,7 @@ allprojects {
                     description = "$description (skipped by default, to enable it add -Dspotbugs)"
                 }
                 reports {
-                    html.isEnabled = reportsForHumans()
-                    xml.isEnabled = !reportsForHumans()
-                    // This is for Sonar
-                    xml.isWithMessages = true
+                    create(if (reportsForHumans()) "html" else "xml")
                 }
                 enabled = enableSpotBugs
             }
diff --git a/checksum.xml b/checksum.xml
index b8c6ea2..f70b120 100644
--- a/checksum.xml
+++ b/checksum.xml
@@ -173,6 +173,9 @@
     <dependency group='de.marcphilipp.gradle' module='nexus-publish-plugin' version='0.4.0'>
       <sha512>37EC6DFBDDD0458A2A341E371D038B3B0A25AB2F9006B295EBCF3BDE873A8D02C8CDAA6C69D875500F67593C618E8EF62C0269FB2F7F527A1367A7D6B8EA3CBE</sha512>
     </dependency>
+    <dependency group='gradle.plugin.com.github.spotbugs.snom' module='spotbugs-gradle-plugin'
version='4.5.0'>
+      <sha512>36557C04B8FC7DC446B5FBDD6383A1B7281708B424C3039E7EC11807F3BB9A5E2764BE4BEC1D717C38595B12D8B291CB2A002D85B5E79DC9A9A4CBD27C58C7BB</sha512>
+    </dependency>
     <dependency group='gradle.plugin.com.github.spotbugs' module='spotbugs-gradle-plugin'
version='1.6.10'>
       <sha512>E7486B32EF6C9C14FE879814DA5F06CA6ECABF47195063A93E6FC8CD10119244C5A7BC3C71A4760CCE3AFFA9E9736336D345D8ED84EB65153C15683FA6529D92</sha512>
     </dependency>
diff --git a/gradle.properties b/gradle.properties
index 32678a5..30fd04d 100644
--- a/gradle.properties
+++ b/gradle.properties
@@ -34,12 +34,12 @@ jmeter.version=5.3.1
 # Tools
 checkstyle.version=8.35
 jacoco.version=0.8.5
-spotbugs.version=4.1.1
+spotbugs.version=4.1.2
 velocity.version=1.7
 
 # Plugins
 com.github.autostyle.version=3.0
-com.github.spotbugs.version=2.0.0
+com.github.spotbugs.version=4.5.0
 com.github.vlsi.checksum-dependency.sha512=4D1A76F38F327CEA0C723D9BDD9ABFE16933769052F47BCECD555DDD1A6CD0A9C21E3CC8F9E1B92780F9B443070D4844889EE9ECB0690D30E50AAB085096D8E1
 com.github.vlsi.checksum-dependency.version=1.70
 com.github.vlsi.vlsi-release-plugins.version=1.70
diff --git a/xdocs/changes.xml b/xdocs/changes.xml
index 22649c0..9f573ac 100644
--- a/xdocs/changes.xml
+++ b/xdocs/changes.xml
@@ -134,6 +134,7 @@ applications when JMeter is starting up.</p>
     <li><pr>609</pr>Make use of newer API for darklaf installation. Jannis
Weis</li>
     <li><pr>612</pr>Correct typos in <code>README.me</code>.
Based on patches by Pooja Chandak (poojachandak002 at gmail.com)</li>
     <li><pr>613</pr>Add documentation for Darklaf properties. Jannis Weis</li>
+    <li>Update SpotBugs to 4.1.2 (from 4.1.1), upgrade spotbugs-gradle-plugin to 4.5.0
(from 2.0.0)</li>
 </ul>
 
  <!-- =================== Bug fixes =================== -->


Mime
View raw message